#include "emainwindowplugin.h"

#include "emainwindow.h"

#include <QtCore/QtPlugin>


EMainWindowPlugin::EMainWindowPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void EMainWindowPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool EMainWindowPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * EMainWindowPlugin::createWidget(QWidget * parent) {
	return new EMainWindow(parent);
}


QString EMainWindowPlugin::name() const {
	return QLatin1String("EMainWindow");
}


QString EMainWindowPlugin::group() const {
	return QLatin1String("Containers");
}


QIcon EMainWindowPlugin::icon() const {
	return QIcon();
}


QString EMainWindowPlugin::toolTip() const {
	return QLatin1String("");
}


QString EMainWindowPlugin::whatsThis() const {
	return QLatin1String("");
}


bool EMainWindowPlugin::isContainer() const {
	return true;
}


QString EMainWindowPlugin::domXml() const {
	return QLatin1String("<widget class=\"EMainWindow\" name=\"mainWindow\">\n</widget>\n");
}


QString EMainWindowPlugin::includeFile() const {
	return QLatin1String("emainwindow.h");
}
